Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class Terminal6530

    java.lang.Object
      com.mindbright.terminal.tandem6530.Terminal6530

All Implemented Interfaces:
  ActionHandler, AsciiCodes, DisplayModel, Terminal, Terminal6530Callback

public class Terminal6530
extends java.lang.Object
implements Terminal, DisplayModel, Terminal6530Callback, ActionHandler, AsciiCodes

Field Summary

Fields inherited from interface com.mindbright.terminal.Terminal
`GRAVITY_NORTHWEST, GRAVITY_SOUTHWEST`

Fields inherited from interface com.mindbright.terminal.DisplayModel
`ATTR_BGCOLOR, ATTR_BLINKING, ATTR_BOLD, ATTR_CHARDRAWN, ATTR_CHARNOTDRAWN, ATTR_DWIDTH_L, ATTR_DWIDTH_R, ATTR_FGCOLOR, ATTR_INVERSE, ATTR_INVISIBLE, ATTR_LINEDRAW, ATTR_LOWINTENSITY, ATTR_SELECTED, ATTR_UNDERLINE, MASK_ATTR, MASK_BGCOL, MASK_FGCOL, SHIFT_BGCOL, SHIFT_FGCOL`

Fields inherited from interface com.mindbright.terminal.tandem6530.AsciiCodes
`BELL, BS, CR, DC1, DC2, DC3, DC4, ENQ, EOT, ESC, ETX, FS, GS, HT, LF, LRC, NUL, SOH`

Constructor Summary
`Terminal6530()`

Method Summary
`void` | `clearLine()`
`void` | `clearSaveLines()`
`void` | `clearScreen()`
`void` | `close()`
`void` | `doBackspace()`
`void` | `doBackTab()`
`void` | `doBell()`
`void` | `doCarriageReturn()`
`void` | `doClearAllTabs()`
`void` | `doClearMemoryToSpaces()`
`void` | `doClearMemoryToSpaces(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doClearTab()`
`void` | `doClickSelect(int visTop, int row, int col, java.lang.String selectDelims)`
`void` | `doCursorHome()`
`void` | `doCursorHomeDown()`
`void` | `doCursorRight()`
`void` | `doCursorUp()`
`void` | `doDataCompression(int n, char c)`
`void` | `doDefineDataTypeTable(int startIndex, byte[] entries)`
`void` | `doDefineEnterKeyFunction(char[] str)`
`void` | `doDefineFieldAttribute(int row, int column, boolean useFixed, int tableRow)`
`void` | `doDefineVariableTable(int startIndex, FieldAttributes[] attribs)`
`void` | `doDelayOneSecond()`
`void` | `doDeleteCharacter()`
`void` | `doDeleteLine()`
`void` | `doDisableLocalLineEditing()`
`void` | `doDisconnectModem()`
`void` | `doDisplayPage(int n)`
`void` | `doEnterProtectedSubmode()`
`void` | `doEraseToEndOfLineOrField()`
`void` | `doEraseToEndOfPageOrMemory()`
`void` | `doExitProtectedSubmode()`
`void` | `doGetCurrentDirectoryAndRedirectionInformation(char drive)`
`void` | `doGetMachineName()`
`void` | `doHTab()`
`void` | `doInsertCharacter()`
`void` | `doInsertLine()`
`void` | `doLineFeed()`
`void` | `doLoadAndExecuteAnOperatingSystemProgram(java.lang.String execString)`
`void` | `doLockKeyboard()`
`void` | `doPageDown()`
`void` | `doPageUp()`
`void` | `doPrintScreenOrPage()`
`void` | `doRead6530ColorMappingTable()`
`void` | `doReadAllLocations()`
`void` | `doReadColorConfiguration()`
`void` | `doReadColorMappingTable()`
`void` | `doReadCursorAddress()`
`void` | `doReadFullRevisionLevel()`
`void` | `doReadIODeviceConfiguration(int device)`
`void` | `doReadKeyboardLatch()`
`void` | `doReadScreenWithAllAttributes(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doReadStringConfigurationParameter(int n)`
`void` | `doReadTerminalConfiguration()`
`void` | `doReadTerminalStatus()`
`void` | `doReadVTLAUNCHConfigurationParameter(int param)`
`void` | `doReadWholePageOrBuffer()`
`void` | `doReadWithAddress(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doReadWithAddressAll(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doReinitialize()`
`void` | `doReportExecReturnCode()`
`void` | `doResetColorConfiguration()`
`void` | `doResetColorMapTable()`
`void` | `doResetMoifiedDataTags()`
`void` | `doResetVariableTable()`
`void` | `doRollDown()`
`void` | `doRollUp()`
`void` | `doRTMControl(int startStopEvent, int[] buckets)`
`void` | `doRTMDataUpload(int[] id)`
`void` | `doSelectPage(int n)`
`void` | `doSet40CharactersScreenWidth()`
`void` | `doSet40CharLineWidth()`
`void` | `doSet6530ColorMapping(boolean setEnhanced)`
`void` | `doSet80CharLineWidth()`
`void` | `doSetBlockMode()`
`void` | `doSetBufferAddress(int row, int column)`
`void` | `doSetColorConfiguration(int startIndex, byte[] entries)`
`void` | `doSetColorMapTable(int startIndex, byte[] entries)`
`void` | `doSetConversationalMode()`
`void` | `doSetCursorAddress(int row, int column)`
`void` | `doSetEM3270Mode(int mode)`
`void` | `doSetIODeviceConfiguration(int device, ConfigParameter[] parms)`
`void` | `doSetMaxPageNumber(int n)`
`void` | `doSetStringConfigurationParameter(java.lang.String[] strs)`
`void` | `doSetTab()`
`void` | `doSetTerminalConfiguration(ConfigParameter[] params)`
`void` | `doSetVideoAttributes(char videoAttrib)`
`void` | `doSetVideoPriorConditionRegister(char videoAttrib)`
`void` | `doSimulateFunctionKey(char keyCode)`
`void` | `doStartEnhancedColorField(IBM3270FieldAttributes attribs)`
`void` | `doStartField(FieldAttributes attribs)`
`void` | `doStartFieldExtended(FieldAttributes attribs)`
`void` | `doTerminateRemote6530Operation(int exitCode)`
`void` | `doUnlockKeyboard()`
`void` | `doWriteOrReadToFileOrDeviceName(java.lang.String device, int opCode, byte[] data)`
`void` | `doWriteToAux1OrAux2Device(int device, char terminator)`
`void` | `doWriteToFileOrDeviceName(java.lang.String device, int opCode, byte[] data)`
`void` | `doWriteToMessageField(char[] msg, char[] attribs)`
`void` | `error(java.lang.String msg)`
`void` | `fromHost(char c)`
`int[]` | `getAttribs(int visTop, int row)`
`int` | `getBufferRows()`
`char[]` | `getChars(int visTop, int row)`
`int` | `getCols()`
`java.lang.String` | `getDefaultProperty(java.lang.String key)`
`int` | `getDisplayCols()`
`int` | `getDisplayRows()`
`TerminalOption[]` | `getOptions()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String key)`
`boolean` | `getPropsChanged()`
`int` | `getRows()`
`java.lang.String` | `getSelection(java.lang.String eol)`
`static Terminal` | `getTerminal(java.lang.String name)`
`static TerminalOption[]` | `getTerminalOptions()`
`static java.lang.String[]` | `getTerminalTypes()`
`void` | `keyHandler(char c, int virtualKey, int modifiers)`
`void` | `mouseHandler(int visTop, int x, int y, boolean press, int modifiers)`
`void` | `paste(java.lang.String selection)`
`void` | `reset()`
`void` | `resetClickSelect()`
`void` | `resetSelection()`
`void` | `ringBell()`
`SearchContext` | `search(SearchContext lastContext, java.lang.String key, boolean reverse, boolean caseSens)`
`void` | `selectAll()`
`void` | `send(char c)`
`void` | `send(java.lang.String str)`
`void` | `setAttributeBold(boolean set)`
`void` | `setCursorPos(int row, int col)`
`void` | `setDisplay(DisplayView display)`
`void` | `setDumbMode(boolean dumb)`
`void` | `setInputCharset(java.lang.String charset)`
`void` | `setProperties(java.util.Properties newProps)`
`boolean` | `setProperty(java.lang.String key, java.lang.String value)`
`boolean` | `setProperty(java.lang.String key, java.lang.String value, boolean forceSet)`
`void` | `setPropsChanged(boolean value)`
`boolean` | `setSaveLines(int lines)`
`void` | `setSelection(int row1, int col1, int row2, int col2)`
`void` | `setSelection(int visTop, int row1, int col1, int row2, int col2)`
`boolean` | `setSize(int rows, int cols)`
`boolean` | `setTerminalType(java.lang.String type)`
`void` | `setTerminalWindow(TerminalWindow termWin)`
`void` | `setUpdate(boolean enabled)`
`void` | `statusLineUpdated()`
`java.lang.String` | `terminalType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Terminal6530

    public Terminal6530()

Method Detail

### getTerminal

    public static Terminal getTerminal(java.lang.String name)

### getTerminalTypes

    public static java.lang.String[] getTerminalTypes()

### setTerminalType

    public boolean setTerminalType(java.lang.String type)

  Specified by:
    `setTerminalType` in interface `Terminal`

### setDumbMode

    public void setDumbMode(boolean dumb)

  Specified by:
    `setDumbMode` in interface `Terminal`

### doBell

    public void doBell()

  Specified by:
    `doBell` in interface `ActionHandler`

### doBackspace

    public void doBackspace()

  Specified by:
    `doBackspace` in interface `ActionHandler`

### doHTab

    public void doHTab()

  Specified by:
    `doHTab` in interface `ActionHandler`

### doLineFeed

    public void doLineFeed()

  Specified by:
    `doLineFeed` in interface `ActionHandler`

### doCarriageReturn

    public void doCarriageReturn()

  Specified by:
    `doCarriageReturn` in interface `ActionHandler`

### doSetConversationalMode

    public void doSetConversationalMode()

  Specified by:
    `doSetConversationalMode` in interface `ActionHandler`

### doSetBlockMode

    public void doSetBlockMode()

  Specified by:
    `doSetBlockMode` in interface `ActionHandler`

### doSetBufferAddress

    public void doSetBufferAddress(int row,
                                   int column)

  Specified by:
    `doSetBufferAddress` in interface `ActionHandler`

### doDataCompression

    public void doDataCompression(int n,
                                  char c)

  Specified by:
    `doDataCompression` in interface `ActionHandler`

### doSetCursorAddress

    public void doSetCursorAddress(int row,
                                   int column)

  Specified by:
    `doSetCursorAddress` in interface `ActionHandler`

### doDefineFieldAttribute

    public void doDefineFieldAttribute(int row,
                                       int column,
                                       boolean useFixed,
                                       int tableRow)

  Specified by:
    `doDefineFieldAttribute` in interface `ActionHandler`

### doStartField

    public void doStartField(FieldAttributes attribs)

  Specified by:
    `doStartField` in interface `ActionHandler`

### doPrintScreenOrPage

    public void doPrintScreenOrPage()

  Specified by:
    `doPrintScreenOrPage` in interface `ActionHandler`

### doSetTab

    public void doSetTab()

  Specified by:
    `doSetTab` in interface `ActionHandler`

### doClearTab

    public void doClearTab()

  Specified by:
    `doClearTab` in interface `ActionHandler`

### doClearAllTabs

    public void doClearAllTabs()

  Specified by:
    `doClearAllTabs` in interface `ActionHandler`

### doSetVideoAttributes

    public void doSetVideoAttributes(char videoAttrib)

  Specified by:
    `doSetVideoAttributes` in interface `ActionHandler`

### doSetVideoPriorConditionRegister

    public void doSetVideoPriorConditionRegister(char videoAttrib)

  Specified by:
    `doSetVideoPriorConditionRegister` in interface `ActionHandler`

### doSet40CharLineWidth

    public void doSet40CharLineWidth()

  Specified by:
    `doSet40CharLineWidth` in interface `ActionHandler`

### doSet80CharLineWidth

    public void doSet80CharLineWidth()

  Specified by:
    `doSet80CharLineWidth` in interface `ActionHandler`

### doReadCursorAddress

    public void doReadCursorAddress()

  Specified by:
    `doReadCursorAddress` in interface `ActionHandler`

### doUnlockKeyboard

    public void doUnlockKeyboard()

  Specified by:
    `doUnlockKeyboard` in interface `ActionHandler`

### doLockKeyboard

    public void doLockKeyboard()

  Specified by:
    `doLockKeyboard` in interface `ActionHandler`

### doSetStringConfigurationParameter

    public void doSetStringConfigurationParameter(java.lang.String[] strs)

  Specified by:
    `doSetStringConfigurationParameter` in interface `ActionHandler`

### doReadStringConfigurationParameter

    public void doReadStringConfigurationParameter(int n)

  Specified by:
    `doReadStringConfigurationParameter` in interface `ActionHandler`

### doSimulateFunctionKey

    public void doSimulateFunctionKey(char keyCode)

  Specified by:
    `doSimulateFunctionKey` in interface `ActionHandler`

### doGetMachineName

    public void doGetMachineName()

  Specified by:
    `doGetMachineName` in interface `ActionHandler`

### doDisconnectModem

    public void doDisconnectModem()

  Specified by:
    `doDisconnectModem` in interface `ActionHandler`

### doGetCurrentDirectoryAndRedirectionInformation

    public void doGetCurrentDirectoryAndRedirectionInformation(char drive)

  Specified by:
    `doGetCurrentDirectoryAndRedirectionInformation` in interface `ActionHandler`

### doReadVTLAUNCHConfigurationParameter

    public void doReadVTLAUNCHConfigurationParameter(int param)

  Specified by:
    `doReadVTLAUNCHConfigurationParameter` in interface `ActionHandler`

### doBackTab

    public void doBackTab()

  Specified by:
    `doBackTab` in interface `ActionHandler`

### doRTMControl

    public void doRTMControl(int startStopEvent,
                             int[] buckets)

  Specified by:
    `doRTMControl` in interface `ActionHandler`

### doRTMDataUpload

    public void doRTMDataUpload(int[] id)

  Specified by:
    `doRTMDataUpload` in interface `ActionHandler`

### doSetEM3270Mode

    public void doSetEM3270Mode(int mode)

  Specified by:
    `doSetEM3270Mode` in interface `ActionHandler`

### doReadAllLocations

    public void doReadAllLocations()

  Specified by:
    `doReadAllLocations` in interface `ActionHandler`

### doReadKeyboardLatch

    public void doReadKeyboardLatch()

  Specified by:
    `doReadKeyboardLatch` in interface `ActionHandler`

### doWriteToMessageField

    public void doWriteToMessageField(char[] msg,
                                      char[] attribs)

  Specified by:
    `doWriteToMessageField` in interface `ActionHandler`

### doSetMaxPageNumber

    public void doSetMaxPageNumber(int n)

  Specified by:
    `doSetMaxPageNumber` in interface `ActionHandler`

### doReinitialize

    public void doReinitialize()

  Specified by:
    `doReinitialize` in interface `ActionHandler`

### doSetColorMapTable

    public void doSetColorMapTable(int startIndex,
                                   byte[] entries)

  Specified by:
    `doSetColorMapTable` in interface `ActionHandler`

### doResetColorMapTable

    public void doResetColorMapTable()

  Specified by:
    `doResetColorMapTable` in interface `ActionHandler`

### doReadColorMappingTable

    public void doReadColorMappingTable()

  Specified by:
    `doReadColorMappingTable` in interface `ActionHandler`

### doDefineDataTypeTable

    public void doDefineDataTypeTable(int startIndex,
                                      byte[] entries)

  Specified by:
    `doDefineDataTypeTable` in interface `ActionHandler`

### doResetVariableTable

    public void doResetVariableTable()

  Specified by:
    `doResetVariableTable` in interface `ActionHandler`

### doDefineVariableTable

    public void doDefineVariableTable(int startIndex,
                                      FieldAttributes[] attribs)

  Specified by:
    `doDefineVariableTable` in interface `ActionHandler`

### doSet40CharactersScreenWidth

    public void doSet40CharactersScreenWidth()

  Specified by:
    `doSet40CharactersScreenWidth` in interface `ActionHandler`

### doSetColorConfiguration

    public void doSetColorConfiguration(int startIndex,
                                        byte[] entries)

  Specified by:
    `doSetColorConfiguration` in interface `ActionHandler`

### doResetColorConfiguration

    public void doResetColorConfiguration()

  Specified by:
    `doResetColorConfiguration` in interface `ActionHandler`

### doReadColorConfiguration

    public void doReadColorConfiguration()

  Specified by:
    `doReadColorConfiguration` in interface `ActionHandler`

### doDefineEnterKeyFunction

    public void doDefineEnterKeyFunction(char[] str)

  Specified by:
    `doDefineEnterKeyFunction` in interface `ActionHandler`

### doSetTerminalConfiguration

    public void doSetTerminalConfiguration(ConfigParameter[] params)

  Specified by:
    `doSetTerminalConfiguration` in interface `ActionHandler`

### doRead6530ColorMappingTable

    public void doRead6530ColorMappingTable()

  Specified by:
    `doRead6530ColorMappingTable` in interface `ActionHandler`

### doSetIODeviceConfiguration

    public void doSetIODeviceConfiguration(int device,
                                           ConfigParameter[] parms)

  Specified by:
    `doSetIODeviceConfiguration` in interface `ActionHandler`

### doSet6530ColorMapping

    public void doSet6530ColorMapping(boolean setEnhanced)

  Specified by:
    `doSet6530ColorMapping` in interface `ActionHandler`

### doReadIODeviceConfiguration

    public void doReadIODeviceConfiguration(int device)

  Specified by:
    `doReadIODeviceConfiguration` in interface `ActionHandler`

### doTerminateRemote6530Operation

    public void doTerminateRemote6530Operation(int exitCode)

  Specified by:
    `doTerminateRemote6530Operation` in interface `ActionHandler`

### doCursorUp

    public void doCursorUp()

  Specified by:
    `doCursorUp` in interface `ActionHandler`

### doCursorRight

    public void doCursorRight()

  Specified by:
    `doCursorRight` in interface `ActionHandler`

### doCursorHomeDown

    public void doCursorHomeDown()

  Specified by:
    `doCursorHomeDown` in interface `ActionHandler`

### doCursorHome

    public void doCursorHome()

  Specified by:
    `doCursorHome` in interface `ActionHandler`

### doRollUp

    public void doRollUp()

  Specified by:
    `doRollUp` in interface `ActionHandler`

### doRollDown

    public void doRollDown()

  Specified by:
    `doRollDown` in interface `ActionHandler`

### doPageUp

    public void doPageUp()

  Specified by:
    `doPageUp` in interface `ActionHandler`

### doPageDown

    public void doPageDown()

  Specified by:
    `doPageDown` in interface `ActionHandler`

### doClearMemoryToSpaces

    public void doClearMemoryToSpaces()

  Specified by:
    `doClearMemoryToSpaces` in interface `ActionHandler`

### doClearMemoryToSpaces

    public void doClearMemoryToSpaces(int startRow,
                                      int startCol,
                                      int endRow,
                                      int endColumn)

  Specified by:
    `doClearMemoryToSpaces` in interface `ActionHandler`

### doEraseToEndOfPageOrMemory

    public void doEraseToEndOfPageOrMemory()

  Specified by:
    `doEraseToEndOfPageOrMemory` in interface `ActionHandler`

### doReadWithAddress

    public void doReadWithAddress(int startRow,
                                  int startCol,
                                  int endRow,
                                  int endColumn)

  Specified by:
    `doReadWithAddress` in interface `ActionHandler`

### doEraseToEndOfLineOrField

    public void doEraseToEndOfLineOrField()

  Specified by:
    `doEraseToEndOfLineOrField` in interface `ActionHandler`

### doReadWithAddressAll

    public void doReadWithAddressAll(int startRow,
                                     int startCol,
                                     int endRow,
                                     int endColumn)

  Specified by:
    `doReadWithAddressAll` in interface `ActionHandler`

### doInsertLine

    public void doInsertLine()

  Specified by:
    `doInsertLine` in interface `ActionHandler`

### doDeleteLine

    public void doDeleteLine()

  Specified by:
    `doDeleteLine` in interface `ActionHandler`

### doDisableLocalLineEditing

    public void doDisableLocalLineEditing()

  Specified by:
    `doDisableLocalLineEditing` in interface `ActionHandler`

### doInsertCharacter

    public void doInsertCharacter()

  Specified by:
    `doInsertCharacter` in interface `ActionHandler`

### doWriteToAux1OrAux2Device

    public void doWriteToAux1OrAux2Device(int device,
                                          char terminator)

  Specified by:
    `doWriteToAux1OrAux2Device` in interface `ActionHandler`

### doDeleteCharacter

    public void doDeleteCharacter()

  Specified by:
    `doDeleteCharacter` in interface `ActionHandler`

### doReadScreenWithAllAttributes

    public void doReadScreenWithAllAttributes(int startRow,
                                              int startCol,
                                              int endRow,
                                              int endColumn)

  Specified by:
    `doReadScreenWithAllAttributes` in interface `ActionHandler`

### doLoadAndExecuteAnOperatingSystemProgram

    public void doLoadAndExecuteAnOperatingSystemProgram(java.lang.String execString)

  Specified by:
    `doLoadAndExecuteAnOperatingSystemProgram` in interface `ActionHandler`

### doEnterProtectedSubmode

    public void doEnterProtectedSubmode()

  Specified by:
    `doEnterProtectedSubmode` in interface `ActionHandler`

### doExitProtectedSubmode

    public void doExitProtectedSubmode()

  Specified by:
    `doExitProtectedSubmode` in interface `ActionHandler`

### doReportExecReturnCode

    public void doReportExecReturnCode()

  Specified by:
    `doReportExecReturnCode` in interface `ActionHandler`

### doReadTerminalConfiguration

    public void doReadTerminalConfiguration()

  Specified by:
    `doReadTerminalConfiguration` in interface `ActionHandler`

### doReadTerminalStatus

    public void doReadTerminalStatus()

  Specified by:
    `doReadTerminalStatus` in interface `ActionHandler`

### doReadFullRevisionLevel

    public void doReadFullRevisionLevel()

  Specified by:
    `doReadFullRevisionLevel` in interface `ActionHandler`

### doDelayOneSecond

    public void doDelayOneSecond()

  Specified by:
    `doDelayOneSecond` in interface `ActionHandler`

### doResetMoifiedDataTags

    public void doResetMoifiedDataTags()

  Specified by:
    `doResetMoifiedDataTags` in interface `ActionHandler`

### doReadWholePageOrBuffer

    public void doReadWholePageOrBuffer()

  Specified by:
    `doReadWholePageOrBuffer` in interface `ActionHandler`

### doDisplayPage

    public void doDisplayPage(int n)

  Specified by:
    `doDisplayPage` in interface `ActionHandler`

### doSelectPage

    public void doSelectPage(int n)

  Specified by:
    `doSelectPage` in interface `ActionHandler`

### doStartEnhancedColorField

    public void doStartEnhancedColorField(IBM3270FieldAttributes attribs)

  Specified by:
    `doStartEnhancedColorField` in interface `ActionHandler`

### doStartFieldExtended

    public void doStartFieldExtended(FieldAttributes attribs)

  Specified by:
    `doStartFieldExtended` in interface `ActionHandler`

### doWriteToFileOrDeviceName

    public void doWriteToFileOrDeviceName(java.lang.String device,
                                          int opCode,
                                          byte[] data)

  Specified by:
    `doWriteToFileOrDeviceName` in interface `ActionHandler`

### doWriteOrReadToFileOrDeviceName

    public void doWriteOrReadToFileOrDeviceName(java.lang.String device,
                                                int opCode,
                                                byte[] data)

  Specified by:
    `doWriteOrReadToFileOrDeviceName` in interface `ActionHandler`

### terminalType

    public java.lang.String terminalType()

  Specified by:
    `terminalType` in interface `Terminal`

### reset

    public void reset()

  Specified by:
    `reset` in interface `Terminal`

### getRows

    public int getRows()

  Specified by:
    `getRows` in interface `Terminal`

### getCols

    public int getCols()

  Specified by:
    `getCols` in interface `Terminal`

### keyHandler

    public void keyHandler(char c,
                           int virtualKey,
                           int modifiers)

  Specified by:
    `keyHandler` in interface `Terminal`

### mouseHandler

    public void mouseHandler(int visTop,
                             int x,
                             int y,
                             boolean press,
                             int modifiers)

  Specified by:
    `mouseHandler` in interface `Terminal`

### setUpdate

    public void setUpdate(boolean enabled)

  Specified by:
    `setUpdate` in interface `Terminal`

### fromHost

    public void fromHost(char c)

  Specified by:
    `fromHost` in interface `Terminal`

### setTerminalWindow

    public void setTerminalWindow(TerminalWindow termWin)

  Specified by:
    `setTerminalWindow` in interface `Terminal`

### setDisplay

    public void setDisplay(DisplayView display)

  Specified by:
    `setDisplay` in interface `Terminal`

### close

    public void close()

  Specified by:
    `close` in interface `Terminal`

### getTerminalOptions

    public static TerminalOption[] getTerminalOptions()

### setProperties

    public void setProperties(java.util.Properties newProps)

  Specified by:
    `setProperties` in interface `Terminal`

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.String value)

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.String value,
                               boolean forceSet)

  Specified by:
    `setProperty` in interface `Terminal`

### getProperties

    public java.util.Properties getProperties()

  Specified by:
    `getProperties` in interface `Terminal`

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Specified by:
    `getProperty` in interface `Terminal`

### getPropsChanged

    public boolean getPropsChanged()

  Specified by:
    `getPropsChanged` in interface `Terminal`

### setPropsChanged

    public void setPropsChanged(boolean value)

  Specified by:
    `setPropsChanged` in interface `Terminal`

### getDefaultProperty

    public java.lang.String getDefaultProperty(java.lang.String key)

  Specified by:
    `getDefaultProperty` in interface `Terminal`

### getOptions

    public TerminalOption[] getOptions()

  Specified by:
    `getOptions` in interface `Terminal`

### search

    public SearchContext search(SearchContext lastContext,
                                java.lang.String key,
                                boolean reverse,
                                boolean caseSens)

  Specified by:
    `search` in interface `Terminal`

### setAttributeBold

    public void setAttributeBold(boolean set)

  Specified by:
    `setAttributeBold` in interface `Terminal`

### clearScreen

    public void clearScreen()

  Specified by:
    `clearScreen` in interface `Terminal`

### ringBell

    public void ringBell()

  Specified by:
    `ringBell` in interface `Terminal`

### setCursorPos

    public void setCursorPos(int row,
                             int col)

  Specified by:
    `setCursorPos` in interface `Terminal`

### clearLine

    public void clearLine()

  Specified by:
    `clearLine` in interface `Terminal`

### setSize

    public boolean setSize(int rows,
                           int cols)

  Specified by:
    `setSize` in interface `Terminal`

### setSaveLines

    public boolean setSaveLines(int lines)

  Specified by:
    `setSaveLines` in interface `Terminal`

### clearSaveLines

    public void clearSaveLines()

  Specified by:
    `clearSaveLines` in interface `Terminal`

### paste

    public void paste(java.lang.String selection)

  Specified by:
    `paste` in interface `Terminal`

### doClickSelect

    public void doClickSelect(int visTop,
                              int row,
                              int col,
                              java.lang.String selectDelims)

  Specified by:
    `doClickSelect` in interface `Terminal`

### getSelection

    public java.lang.String getSelection(java.lang.String eol)

  Specified by:
    `getSelection` in interface `Terminal`

### setSelection

    public void setSelection(int visTop,
                             int row1,
                             int col1,
                             int row2,
                             int col2)

  Specified by:
    `setSelection` in interface `Terminal`

### setSelection

    public void setSelection(int row1,
                             int col1,
                             int row2,
                             int col2)

  Specified by:
    `setSelection` in interface `Terminal`

### selectAll

    public void selectAll()

  Specified by:
    `selectAll` in interface `Terminal`

### resetSelection

    public void resetSelection()

  Specified by:
    `resetSelection` in interface `Terminal`

### resetClickSelect

    public void resetClickSelect()

  Specified by:
    `resetClickSelect` in interface `Terminal`

### setInputCharset

    public void setInputCharset(java.lang.String charset)

  Specified by:
    `setInputCharset` in interface `Terminal`

### getChars

    public char[] getChars(int visTop,
                           int row)

  Specified by:
    `getChars` in interface `DisplayModel`

### getAttribs

    public int[] getAttribs(int visTop,
                            int row)

  Specified by:
    `getAttribs` in interface `DisplayModel`

### getDisplayRows

    public int getDisplayRows()

  Specified by:
    `getDisplayRows` in interface `DisplayModel`

### getDisplayCols

    public int getDisplayCols()

  Specified by:
    `getDisplayCols` in interface `DisplayModel`

### getBufferRows

    public int getBufferRows()

  Specified by:
    `getBufferRows` in interface `DisplayModel`

### send

    public void send(char c)

  Specified by:
    `send` in interface `Terminal6530Callback`

### send

    public void send(java.lang.String str)

  Specified by:
    `send` in interface `Terminal6530Callback`

### error

    public void error(java.lang.String msg)

  Specified by:
    `error` in interface `Terminal6530Callback`

### statusLineUpdated

    public void statusLineUpdated()

  Specified by:
    `statusLineUpdated` in interface `Terminal6530Callback`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD